Package org.jacoco.core.internal

## Class InputStreams

- java.lang.Object
- - org.jacoco.core.internal.InputStreams

    public final class InputStreams
    extends java.lang.Object

Utilities for `InputStream`s.

### Method Summary

All Methods Static Methods Concrete Methods
`static byte[]` `readFully​(java.io.InputStream is)` Reads all bytes from an input stream into a byte array.

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Method Detail

#### readFully

    public static byte[] readFully​(java.io.InputStream is)
                            throws java.io.IOException

Reads all bytes from an input stream into a byte array. The provided `InputStream` is not closed by this method.

Parameters:
  `is` - the input stream to read from
Returns:
  a byte array containing all the bytes from the stream
Throws:
  `java.io.IOException` - if an I/O error occurs